Subject: Gamma etc./FIN

From: [email-masked] (Jaakko B Kullberg)
Date: 10 Jun 1996 10:51:39 GMT

Numbers of gamma are now even greater than last evening. There is
hundreds of them in Taraxacum flowers here in Hanko. Every step in a
meadow produces 5-10 escaping gammas. Several hundred cardui are in two
hectar area. Also some specimens of atalanta, brassicae and gallii on
migration. 

jaska